Skip to main content
GET
/
gifts
/
catalog
cURL
curl --request GET \
  --url https://api.steamgold.dev/v1/gifts/catalog \
  --header 'Authorization: Bearer <token>'
{
  "games": [
    {
      "appId": 123,
      "slug": "<string>",
      "title": "<string>",
      "headerImage": "<string>",
      "shortDescription": "<string>",
      "genres": [
        "<string>"
      ],
      "price": {
        "paymentAmount": 123,
        "paymentCurrency": "RUB",
        "paymentAmountFull": 123,
        "discountPercent": 123
      }
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:0

Номер страницы (начиная с 0)

limit
integer
default:20

Количество игр на странице

Response

Список игр в каталоге

games
object[]

Список игр в каталоге

total
integer

Общее количество игр в каталоге